Difference between revisions of "Kdenlive/Manual/Installation/fr"

Jump to: navigation, search
(Created page with "==== Ubuntu et ses dérivés ====")
(Created page with "Si vous préférez vous pouvez construire et installer '''Kdenlive''' dans un emplacement local (de préférence pas <tt>/usr</tt>, mais plutôt <tt>/usr/local</tt> ou <tt>$HO...")
 
(37 intermediate revisions by 2 users not shown)
Line 5: Line 5:
 
Les informations de cette page peuvent être intéressantes pour des raisons historiques toutefois vous devriez visiter la page [https://kdenlive.org/download/ téléchargement] du site Web Kdenlive pour lire des informations à jour concernant l'installation de '''Kdenlive''' (Août 2017).
 
Les informations de cette page peuvent être intéressantes pour des raisons historiques toutefois vous devriez visiter la page [https://kdenlive.org/download/ téléchargement] du site Web Kdenlive pour lire des informations à jour concernant l'installation de '''Kdenlive''' (Août 2017).
  
=== Installation de paquets binaires ===
+
=== Installation de paquetages binaires ===
  
 
La plupart des distributions Linux fournissent des paquetages binaires récents de '''Kdenlive''' et pouvant être installés par votre gestionnaire d'installation. Bien que dans quelques cas vous pourriez trouver des versions plus récentes dans les répertoires privés.  
 
La plupart des distributions Linux fournissent des paquetages binaires récents de '''Kdenlive''' et pouvant être installés par votre gestionnaire d'installation. Bien que dans quelques cas vous pourriez trouver des versions plus récentes dans les répertoires privés.  
Line 12: Line 12:
  
  
As of May 2015, obtaining and installing the latest version of '''Kdenlive''' has gotten a little complicated.   
+
En mai 2015, obtenir et installer la dernière version de '''Kdenlive''' est devenu un peu compliqué.   
Development of '''Kdenlive''' up to this point has used a technology known as KDE Frameworks 4. And the last stable release using this technology is version [http://kdenlive.org/discover/0.9.10 0.9.10], released 25th September 2014.<br />
+
Le développement de '''Kdenlive''' jusqu'à ce moment utilisait une technologie appelée KDE Frameworks 4. Et la dernière version stable qui utilise cette technologie est la version [http://kdenlive.org/discover/0.9.10 0.9.10], diffusée le 25 septembre 2014.<br />
To use this you need to have recent versions of frei0r, '''Kdenlive''' , mlt and libvidstab,
+
Pour l'utiliser, vous devez avoir des versions récentes de frei0r, '''Kdenlive''' , mlt et libvidstab,
e.g.: <br />
+
par exemple : <br />
 
* frei0r = 1.4.0+git20140826.72e51041  <br />
 
* frei0r = 1.4.0+git20140826.72e51041  <br />
 
* '''Kdenlive''' = 0.9.10  <br />
 
* '''Kdenlive''' = 0.9.10  <br />
Line 22: Line 22:
 
<br />
 
<br />
  
As of June 2015, [https://launchpad.net/~sunab/+archive/ubuntu/kdenlive-release-old this] PPA has version 0.9.10 of '''Kdenlive''' , 1.4.0 of Frei0r and 0.9.3 of melt.
+
En juin 2015, [https://launchpad.net/~sunab/+archive/ubuntu/kdenlive-release-old ce] PPA inclut la version 0.9.10 de '''Kdenlive''' , 1.4.0 de Frei0r et 0.9.3 de melt.
  
Development of '''Kdenlive''' has now switched to a new version of the KDE Frameworks called KF5 (KDE Frameworks 5). To install versions of '''Kdenlive''' using this underlying technology, you need to be on a Linux distribution which supports KF5. Ubuntu and its derivatives versioned 15.04 and higher support KF5.   It is not possible to install KF5 on distributions earlier than 15.04 (except by ''chroot''ing your system).
+
Le développement de ''Kdenlive''' a désormés commuté sur une nouvelle version de KDE Frameworks appelée KF5 (KDE Frameworks 5). Pour installer les versions de '''Kdenlive''' utilisant cette technologie sous-jacente, vous devez être sur une distribution de Linux qui soutient KF5. Ubuntu et ses dérivées version 15.04 et suivantes soutiennent KF5. Il n'est pas possible d'installer KF5 sur des distributions précédentes à la 15.04 (excepté en "chroot"ant votre système).
Versions using KF5 are distributed by the [https://launchpad.net/~kubuntu-ci Kubuntu-CI Team]. The sunab ppa (see below) now also distributes KF5 versions. <br />
+
Les versions utilisant KF5 sont distribuées par [https://launchpad.net/~kubuntu-ci l'équipe Kubuntu-CI]. Le ppa sunab (voir ci-dessous) distribue maintenant aussi les versions KF5. <br /> Les numéros de version employant KF5 commencent à partir de 15.04.0. Br/> Cet auteur recommande d'utiliser le ppa sunab pour installer Kdenlive plutôt que celui de l'équipe Kubuntu-CI parce que le ppa de l'équipe de Kubuntu-CI a beaucoup d'autres paquets inclus, ce qui engendrera beaucoup de mises à jour dans votre système &mdash;avec le risque potentiel de le casser.<br />
Version numbers of the KF5 flavour start at 15.04.0. <br />
+
This author recommends using the  sunab ppa to install Kdenlive rather than the  Kubuntu-CI Team because the Kubuntu-CI Team PPA has many other packages in it which will attempt to uprade all sorts of things on your system&mdash;with the potential of breaking it.<br />
+
  
 
==== Debian ====
 
==== Debian ====
  
''Debian'' project has been shipping '''Kdenlive''' packages since the "squeeze" (6.0) release. However, to benefit from recent updates and bugfixes, you might consider upgrading to a "testing" release or even "sid".
+
Le projet ''Debian'' inclut les paquets '''Kdenlive''' depuis la version "condensée" (6.0) . Néanmoins, pour bénéficier des mises à jour récentes et des corrections, you pouvez essayer de mettre à jour à partir d'une version de "test" ou même "sid".
  
Once your package management tool is pointed at an appropriate release, a simple <code>apt install kdenlive</code> should then work.
+
Dès que votre outil de gestion des paquets pointe sur une version appropriée, un simple <code>apt install kdenlive</code> devrait suffire.
  
Sunab's PPA (see below) is not recommended for Debian because ''Debian uses a different lib layout for multiarch'' (reference: this [https://forum.kde.org/viewtopic.php?f=269&t=123425#p322708 post] from vpinon).
+
Le PPA de Sunab (voir ci-dessous) n'est pas recommandé pour Debian car ''Debian utilise une structure de librairie différente pour l'architecture multiple'' (référence: ce [https://forum.kde.org/viewtopic.php?f=269&t=123425#p322708 billet] de vpinon).
  
 
==== Ubuntu et ses dérivés ====
 
==== Ubuntu et ses dérivés ====
  
''Ubuntu'' also has offered '''Kdenlive''' since "gutsy" (7.10). However, to benefit from recent updates and bugfixes, you should consider upgrading to the latest release.
+
''Ubuntu'' également offre '''Kdenlive''' depuis "gutsy" (7.10). Néanmoins, pour bénéficier des mises à jour récentes et de la correction des bogues, vous devriez mettre à jour avec la dernière version.
  
[https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-master ppa:kdenlive/kdenlive-master] is the development branch, with the very latest features additions.
+
[https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-master ppa:kdenlive/kdenlive-master] est la branche de développement avec les toutes dernières fonctionalités.
  
[https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-testing ppa:kdenlive/kdenlive-testing] is the feature-frozen branch, starting from the first beta, with bugfix updates as soon as solutions are found
+
[https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-testing ppa:kdenlive/kdenlive-testing] est la branche dédiée à une fonctionalité, et qui commence avec la première version bêta, avec les mises à jours concernant les corrections de bogues au fur et à mesure que les solutions sont trouvées
  
 
[https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable ppa:kdenlive/kdenlive-stable] est la dernière version robuste officielle
 
[https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable ppa:kdenlive/kdenlive-stable] est la dernière version robuste officielle
  
Not all the packages in the ppa are necessary. Install or upgrade the following to get a 15.04 release
+
Les paquets du ppa ne sont pas tous nécessaires. Installez ou mettez à jour ce qui suit pour obtenir la version 15.04 (numérotation des version du 13 juillet 2015)
(version numbers as at 13 July 2015)
+
 
* kdenlive  (15.04.2-0ubuntu0-~sunab~vivid4)    <br />  
 
* kdenlive  (15.04.2-0ubuntu0-~sunab~vivid4)    <br />  
 
* kdenlive-data    (15.04.2-0ubuntu0-~sunab~vivid4)    <br />
 
* kdenlive-data    (15.04.2-0ubuntu0-~sunab~vivid4)    <br />
Line 57: Line 54:
 
* melt          ( 0.9.6-0ubuntu0~sunab~vivid1)  <br />
 
* melt          ( 0.9.6-0ubuntu0~sunab~vivid1)  <br />
  
Non-Kubuntu users will need to install the kde-runtime package to fix missing buttons and icons.
+
Les utilisateurs non-Kubuntu devront installer le paquet kde-runtime pour corriger l'absence de boutons et d'icônes.
  
 
==== Fedora, RedHat et leurs dérivés ====
 
==== Fedora, RedHat et leurs dérivés ====
  
RPM packages are not yet maintained in an official branch, so you must go through an unofficial repository such as [http://rpmfusion.org/ RPM Fusion] or [http://packman.links2linux.de/package/kdenlive packman] (Has ver 15.12.0 29 Dec 2015). Follow the site's recommendations to make them available and end with <code>yum install kdenlive</code>.
+
Les paquetages RPM ne sont pas encore maintenus dans une branche officielle, donc vous devez passer un dépôt officieux tel que [http://rpmfusion.org/ RPM Fusion] ou [http://packman.links2linux.de/package/kdenlive packman] (ont la version 15.12.0 le 29 décembre 2015). Suivez les recommandations du site pour les rendre disponibles puis terminez par <code>yum install kdenlive</code>.
  
==== Ports Gentoo, Arch, BSD ====
+
==== Portages Gentoo, Arch, BSD ====
  
Building scripts are ready for up-to-date systems, so run respectively <code>emerge kdenlive</code> or <code>pacman -S kdenlive</code> or <code>pkg_add kdenlive</code>, etc.
+
Les scripts de construction sont disponibles pour les systèmes à jour, aussi exécutez respectivement <code>emerge kdenlive</code> ou <code>pacman -S kdenlive</code> ou <code>pkg_add kdenlive</code>, etc.
  
 
==== Windows ====
 
==== Windows ====
  
The first Windows version of Kdenlive (v16.12.1) is available for download [https://kdenlive.org/download/ here]. Read the installation instructions for Windows.
+
La première version Windows de Kdenlive (v16.12.1) est disponible au téléchargement [https://kdenlive.org/download/ ici]. Lisez les instructions d'installation pour Windows.
  
Alternatively you could try and use some virtualized [[Special:myLanguage/What_is_a_distribution|Linux distribution]] to run '''Kdenlive''' on '''Windows'''. Some advice can be found on [http://www.kdenlive.org/forum/kdenlive-windows this page].
+
Vous pouver également essayer et utiliser une [[Special:myLanguage/What_is_a_distribution|distribution Linux]] virtualisée pour exécuter '''Kdenlive''' sous '''Windows'''. Vous trouverez une liste de conseils sur [http://www.kdenlive.org/forum/kdenlive-windows cette page].
  
There is also the [http://sourceforge.net/projects/kdenlive-on-win/ kdenlive on win] project on SourceForge which "consists of an Ubuntu VirtualBox image that is preconfigured to run '''Kdenlive'''". The project was last updated 2012-08-09.
+
Il existe aussi le projet [http://sourceforge.net/projects/kdenlive-on-win/ kdenlive on win] sur SourceForge qui ''consiste en une image VirtualBox  Ubuntu qui est préconfigurée pour exécuter '''Kdenlive'''". Le projet été mis à jour dernièrement le 9 août 2012.
  
 
==== MacOS ====
 
==== MacOS ====
  
'''Kdenlive''' and '''MLT''' can compile and run under Mac OS X. Packages are available from the [http://www.macports.org/ MacPorts] project.
+
'''Kdenlive''' et '''MLT''' peuvent se compiler et s'exécuter sous Mac OS X. Les paquets sont disponibles dans le projet [http://www.macports.org/ MacPorts] .
  
MacPorts is a source-based system &mdash; there is not a binary app bundle for '''Kdenlive'''. Therefore, '''Kdenlive''' and all of its numerous dependencies, including multimedia libraries, KDE, and Qt, must be compiled. This can take a long time and much disk space! Furthermore, it is not unusual for something not to build correctly; it is definitely not something for the novice, impatient, or "faint of heart".
+
MacPorts est un système basé sur le code source &mdash il n'y a pas de bundle app binaire '''Kdenlive'''. Par conséquent, '''Kdenlive''' et toutes ses nombreuses dépendances, y compris des bibliothèques multimédia, KDE et Qt, doivent être compilées. Ceci peut prendre longtemps et beaucoup d'espace disque !. En outre, il n'est pas inhabituel que quelque chose ne se construire pas correctement; ce n'est assurément pas quelque chose approprié à un  novice, impatient, ou à une "personne sensible".
  
You may have some success getting support for the MacPort of '''Kdenlive''' on the Mac Ports forum on [http://mac-os-forge.2317878.n4.nabble.com/MacPorts-f3.html MacOS Forge].
+
Vous pourriez avoir plus de succès en obtenant de l'aide concernant MacPort sur le forum MacPorts de '''Kdenlive''' ː [http://mac-os-forge.2317878.n4.nabble.com/MacPorts-f3.html MacOS Forge].
  
 
=== Installation à partir des sources ===
 
=== Installation à partir des sources ===
  
If you want to test latest committed code or your personal patches, you will have to build '''Kdenlive''' (and probably '''MLT''') on your own.
+
Si vous voulez tester le dernier code engagé (commited code) ou vos patches personnels, vous devrez construire '''Kdenlive''' (et probablement '''MLT''') par vous même.
  
Details on how to compile and install '''Kdenlive''' from source are available on the [https://community.kde.org/Kdenlive/Development/KF5  Community wiki].
+
Les détails sur la manière de compiler et d'installer '''Kdenlive''' à partir des sources, sont disponibles sur le [https://community.kde.org/Kdenlive/Development/KF5  wiki de la Communauté].
  
You can use your distribution's package building procedure to use its software management system to install/upgrade/remove the binaries and data, and eventually share your builds (and even contribute to package maintenance - refer to the respective distribution manual).
+
Vous pouvez utiliser la procédure de paquetage de votre distribution afin d'utiliser son système de gestion de logiciels dans le but d'installer/mettre à jour/enlever des fichiers binaires et des données, puis finalement partager votre construction (build) (et même contribuer à la maintenance de paquetage - se référer au manuel respectif de votre distribution).
  
If you prefer you can build & install '''Kdenlive''' to a local area (preferably not <tt>/usr</tt>, but rather <tt>/usr/local</tt> or <tt>$HOME/my_local_builds/kdenlive-last-release</tt> or similar).
+
Si vous préférez vous pouvez construire et installer '''Kdenlive''' dans un emplacement local (de préférence pas <tt>/usr</tt>, mais plutôt <tt>/usr/local</tt> ou <tt>$HOME/my_local_builds/kdenlive-last-release</tt> ou semblable).
You could try using [https://community.kde.org/Kdenlive/Development/KF5#A_build_script this] build script to build the latest version from the sources. Or you could use the [http://www.mltframework.org/twiki/bin/view/MLT/BuildScripts#Kdenlive this] build script to build kdenlive ver 0.9.10 <ref>on distributions older than ''Debian 6'' or ''Ubuntu 10.04'' and derivatives, you need to set <code>ENABLE_SWFDEC=0</code> in the config variables of the script. Modify the INSTALL_DIR in the script to  something like <code>INSTALL_DIR="$HOME/my_local_builds/kdenlive-last-release"</code> to make it match where you want this local build to install. </ref> (Follow the instructions under "show kdenlive". These instructions will build '''Kdenlive''' and its dependancies [e.g. melt, ffmpeg] in a "sandbox").
+
Vous pouvez essayer en utilisant [https://community.kde.org/Kdenlive/Development/KF5#A_build_script ce script de construction], afin de construire la version la plus récente à partir des sources. Ou vous pouvez utiliser [http://www.mltframework.org/twiki/bin/view/MLT/BuildScripts#Kdenlive ce script de construction] afin de construire Kdenlive ver 0.9.10 <ref>sur des distributions plus anciennes que ''Debian 6'' et que ''Ubuntu 10.04'' et ses dérivées, vous devrez mettre <code>ENABLE_SWFDEC=0</code> dans les variables de config situées dans le script. Modifier le INSTALL_DIR dans le script en quelque chose comme <code>INSTALL_DIR="$HOME/my_local_builds/kdenlive-last-release"</code> afin qu'il corresponde à l'emplacement dans lequel vous voulez que cette construction locale s'installe. </ref> (suivre les instructions en dessous de "show kdenlive". Ces instructions constuiront '''Kdenlive''' et ses dépendances [exː. melt, ffmpeg] dans une "sandbox").
  
===Installing from pre-built binary packages ===
+
=== Installation à partir des paquetages binaires précompilés ===
  
'''Kdenlive''' now offers pre-build binary packages deployed using Appimage technology - see Appimage section on the [https://kdenlive.org/download/ download page]  of the Kdenlive web site.
+
'''Kdenlive''' offre maintenant des paquets binaires précompilés déployés en utilisant la technologie Appimage - voir la section Appimage sur la [https://kdenlive.org/download/ page de téléchargementdu site web Kdenlive.
  
These install files are hosted at http://files.kde.org/kdenlive/ where you will find a release folder and an unstable folder
+
Ces fichiers d'installation sont hébergés à http://files.kde.org/kdenlive/ où vous trouverez un dossier pour les sorties (releases) et un dossier pour les instables (unstable). Le dossier release contient le fichier binaire construit de la version stable actuelle de '''Kdenlive'''.
The release folder contains binary builds of the current stable version of '''Kdenlive'''.
+
  
Windows Versions are in 7zip format archives with file names of the form
+
Les versions Windows sont dans le format d'archives 7zip avec les noms de fichiers dans la forme
  
 
  Kdenlive-17.04.0-2-w64.7z
 
  Kdenlive-17.04.0-2-w64.7z
  
For installation instructions for windows see the [https://kdenlive.org/download/ download page].
+
Pour lire des instructions d'installation concernant Windows veuillez voir la [https://kdenlive.org/download/ page de téléchargement].
  
  
Line 112: Line 108:
 
  Kdenlive-17.04.1b-x86_64.AppImage
 
  Kdenlive-17.04.1b-x86_64.AppImage
  
To run the AppImage versions simply make the downloaded file executable (chmod +x) and run it (./Kdenlive-17.04.1b-x86_64.AppImage)
+
Pour exécuter les versions AppImage il suffit de rendre exécutable le fichier téléchargé (chmod +x) puis l'exécuter (./Kdenlive-17.04.1b-x86_64.AppImage)
  
Pre-built binary packages are often an easy solution if you are having troubles with your install and can be preferable to building your own because you don't need to install a build environment.
+
Les paquetages binaires pré-construits (pre-built) sont souvent une solution facile si vous avez du mal avec votre installation, et peuvent être préférables à la construction par vous-même parce que cela vous évite d'avoir à installer un environnement de construction.
  
The pre-built AppImage version and your main version of '''Kdenlive''' can live simultaneously on your machine so you can test new and possibly unstable versions without breaking the main version of '''Kdenlive''' on your system.
+
La version pré-construite AppImage et votre version principale de '''Kdenlive''' peuvent vivre simultanément sur votre machine afin que vous puissiez tester de nouvelles versions, supposément instables, sans casser la version principale de '''Kdenlive''' située sur votre système.
  
  
A downside is that these packages have been built with a version of ffmpeg that only has the free video codecs.  The type of files you can render your video to is limitedChoosing the '''Theora''' profile in the '''Web Sites''' rendering destination does work.
+
Un inconvénient est que ces paquetages ont été construits avec une version de ffmpeg qui emploie seulement les codecs vidéo libresLe type de fichiers vers lequel vous pouvez rendre votre vidéo est donc limitéChoisir le profil '''Theora''' dans la destination de rendu '''Sites Web''' fonctionne.
  
'''Kdenlive''' pre built binaries currently only supports 64 bit operating systems
+
Les fichiers binaires '''Kdenlive''' pré construits soutiennent actuellement seulement les systèmes d'exploitation 64 bits.
  
 
<references/>
 
<references/>

Latest revision as of 04:21, 18 October 2018

Other languages:
dansk • ‎Deutsch • ‎English • ‎español • ‎français • ‎русский • ‎українська • ‎中文(台灣)‎

Installation

Les informations de cette page peuvent être intéressantes pour des raisons historiques toutefois vous devriez visiter la page téléchargement du site Web Kdenlive pour lire des informations à jour concernant l'installation de Kdenlive (Août 2017).

Installation de paquetages binaires

La plupart des distributions Linux fournissent des paquetages binaires récents de Kdenlive et pouvant être installés par votre gestionnaire d'installation. Bien que dans quelques cas vous pourriez trouver des versions plus récentes dans les répertoires privés.

Cette page à l'accueil de Kdenlive comporte les instructions sur la manière de choisir les fichiers source pour ces dernières versions, en fonction de quelle type de Linux vous exécutez. Les instructions pour Debian, Fedora, Gentoo, OpenSUSE, Slackware et Ubuntu sont disponibles.


En mai 2015, obtenir et installer la dernière version de Kdenlive est devenu un peu compliqué. Le développement de Kdenlive jusqu'à ce moment utilisait une technologie appelée KDE Frameworks 4. Et la dernière version stable qui utilise cette technologie est la version 0.9.10, diffusée le 25 septembre 2014.
Pour l'utiliser, vous devez avoir des versions récentes de frei0r, Kdenlive , mlt et libvidstab, par exemple :

  • frei0r = 1.4.0+git20140826.72e51041
  • Kdenlive = 0.9.10
  • mlt = 0.9.3+git20141005.22abed67
  • libvidstab=2:0.98b


En juin 2015, ce PPA inclut la version 0.9.10 de Kdenlive , 1.4.0 de Frei0r et 0.9.3 de melt.

Le développement de Kdenlive' a désormés commuté sur une nouvelle version de KDE Frameworks appelée KF5 (KDE Frameworks 5). Pour installer les versions de Kdenlive utilisant cette technologie sous-jacente, vous devez être sur une distribution de Linux qui soutient KF5. Ubuntu et ses dérivées version 15.04 et suivantes soutiennent KF5. Il n'est pas possible d'installer KF5 sur des distributions précédentes à la 15.04 (excepté en "chroot"ant votre système). Les versions utilisant KF5 sont distribuées par l'équipe Kubuntu-CI. Le ppa sunab (voir ci-dessous) distribue maintenant aussi les versions KF5.
Les numéros de version employant KF5 commencent à partir de 15.04.0. Br/> Cet auteur recommande d'utiliser le ppa sunab pour installer Kdenlive plutôt que celui de l'équipe Kubuntu-CI parce que le ppa de l'équipe de Kubuntu-CI a beaucoup d'autres paquets inclus, ce qui engendrera beaucoup de mises à jour dans votre système —avec le risque potentiel de le casser.

Debian

Le projet Debian inclut les paquets Kdenlive depuis la version "condensée" (6.0) . Néanmoins, pour bénéficier des mises à jour récentes et des corrections, you pouvez essayer de mettre à jour à partir d'une version de "test" ou même "sid".

Dès que votre outil de gestion des paquets pointe sur une version appropriée, un simple apt install kdenlive devrait suffire.

Le PPA de Sunab (voir ci-dessous) n'est pas recommandé pour Debian car Debian utilise une structure de librairie différente pour l'architecture multiple (référence: ce billet de vpinon).

Ubuntu et ses dérivés

Ubuntu également offre Kdenlive depuis "gutsy" (7.10). Néanmoins, pour bénéficier des mises à jour récentes et de la correction des bogues, vous devriez mettre à jour avec la dernière version.

ppa:kdenlive/kdenlive-master est la branche de développement avec les toutes dernières fonctionalités.

ppa:kdenlive/kdenlive-testing est la branche dédiée à une fonctionalité, et qui commence avec la première version bêta, avec les mises à jours concernant les corrections de bogues au fur et à mesure que les solutions sont trouvées

ppa:kdenlive/kdenlive-stable est la dernière version robuste officielle

Les paquets du ppa ne sont pas tous nécessaires. Installez ou mettez à jour ce qui suit pour obtenir la version 15.04 (numérotation des version du 13 juillet 2015)

  • kdenlive (15.04.2-0ubuntu0-~sunab~vivid4)
  • kdenlive-data (15.04.2-0ubuntu0-~sunab~vivid4)
  • libmlt++3 (0.9.6-0ubuntu0~sunab~vivid1)
  • libmlt-data (0.9.6-0ubuntu0~sunab~vivid1)
  • libmlt6 (0.9.6-0ubuntu0~sunab~vivid1)
  • libvidstab1.0 (2:0.98b-0ubuntu0~sunab~vivid1)
  • melt ( 0.9.6-0ubuntu0~sunab~vivid1)

Les utilisateurs non-Kubuntu devront installer le paquet kde-runtime pour corriger l'absence de boutons et d'icônes.

Fedora, RedHat et leurs dérivés

Les paquetages RPM ne sont pas encore maintenus dans une branche officielle, donc vous devez passer un dépôt officieux tel que RPM Fusion ou packman (ont la version 15.12.0 le 29 décembre 2015). Suivez les recommandations du site pour les rendre disponibles puis terminez par yum install kdenlive.

Portages Gentoo, Arch, BSD

Les scripts de construction sont disponibles pour les systèmes à jour, aussi exécutez respectivement emerge kdenlive ou pacman -S kdenlive ou pkg_add kdenlive, etc.

Windows

La première version Windows de Kdenlive (v16.12.1) est disponible au téléchargement ici. Lisez les instructions d'installation pour Windows.

Vous pouver également essayer et utiliser une distribution Linux virtualisée pour exécuter Kdenlive sous Windows. Vous trouverez une liste de conseils sur cette page.

Il existe aussi le projet kdenlive on win sur SourceForge qui consiste en une image VirtualBox Ubuntu qui est préconfigurée pour exécuter Kdenlive". Le projet été mis à jour dernièrement le 9 août 2012.

MacOS

Kdenlive et MLT peuvent se compiler et s'exécuter sous Mac OS X. Les paquets sont disponibles dans le projet MacPorts .

MacPorts est un système basé sur le code source &mdash il n'y a pas de bundle app binaire Kdenlive. Par conséquent, Kdenlive et toutes ses nombreuses dépendances, y compris des bibliothèques multimédia, KDE et Qt, doivent être compilées. Ceci peut prendre longtemps et beaucoup d'espace disque !. En outre, il n'est pas inhabituel que quelque chose ne se construire pas correctement; ce n'est assurément pas quelque chose approprié à un novice, impatient, ou à une "personne sensible".

Vous pourriez avoir plus de succès en obtenant de l'aide concernant MacPort sur le forum MacPorts de Kdenlive ː MacOS Forge.

Installation à partir des sources

Si vous voulez tester le dernier code engagé (commited code) ou vos patches personnels, vous devrez construire Kdenlive (et probablement MLT) par vous même.

Les détails sur la manière de compiler et d'installer Kdenlive à partir des sources, sont disponibles sur le wiki de la Communauté.

Vous pouvez utiliser la procédure de paquetage de votre distribution afin d'utiliser son système de gestion de logiciels dans le but d'installer/mettre à jour/enlever des fichiers binaires et des données, puis finalement partager votre construction (build) (et même contribuer à la maintenance de paquetage - se référer au manuel respectif de votre distribution).

Si vous préférez vous pouvez construire et installer Kdenlive dans un emplacement local (de préférence pas /usr, mais plutôt /usr/local ou $HOME/my_local_builds/kdenlive-last-release ou semblable). Vous pouvez essayer en utilisant ce script de construction, afin de construire la version la plus récente à partir des sources. Ou vous pouvez utiliser ce script de construction afin de construire Kdenlive ver 0.9.10 [1] (suivre les instructions en dessous de "show kdenlive". Ces instructions constuiront Kdenlive et ses dépendances [exː. melt, ffmpeg] dans une "sandbox").

Installation à partir des paquetages binaires précompilés

Kdenlive offre maintenant des paquets binaires précompilés déployés en utilisant la technologie Appimage - voir la section Appimage sur la page de téléchargement du site web Kdenlive.

Ces fichiers d'installation sont hébergés à http://files.kde.org/kdenlive/ où vous trouverez un dossier pour les sorties (releases) et un dossier pour les instables (unstable). Le dossier release contient le fichier binaire construit de la version stable actuelle de Kdenlive.

Les versions Windows sont dans le format d'archives 7zip avec les noms de fichiers dans la forme

Kdenlive-17.04.0-2-w64.7z

Pour lire des instructions d'installation concernant Windows veuillez voir la page de téléchargement.


Les versions de Linux Appimage sont les fichiers dont le nom est de la forme

Kdenlive-17.04.1b-x86_64.AppImage

Pour exécuter les versions AppImage il suffit de rendre exécutable le fichier téléchargé (chmod +x) puis l'exécuter (./Kdenlive-17.04.1b-x86_64.AppImage)

Les paquetages binaires pré-construits (pre-built) sont souvent une solution facile si vous avez du mal avec votre installation, et peuvent être préférables à la construction par vous-même parce que cela vous évite d'avoir à installer un environnement de construction.

La version pré-construite AppImage et votre version principale de Kdenlive peuvent vivre simultanément sur votre machine afin que vous puissiez tester de nouvelles versions, supposément instables, sans casser la version principale de Kdenlive située sur votre système.


Un inconvénient est que ces paquetages ont été construits avec une version de ffmpeg qui emploie seulement les codecs vidéo libres. Le type de fichiers vers lequel vous pouvez rendre votre vidéo est donc limité. Choisir le profil Theora dans la destination de rendu Sites Web fonctionne.

Les fichiers binaires Kdenlive pré construits soutiennent actuellement seulement les systèmes d'exploitation 64 bits.

  1. sur des distributions plus anciennes que Debian 6 et que Ubuntu 10.04 et ses dérivées, vous devrez mettre ENABLE_SWFDEC=0 dans les variables de config situées dans le script. Modifier le INSTALL_DIR dans le script en quelque chose comme INSTALL_DIR="$HOME/my_local_builds/kdenlive-last-release" afin qu'il corresponde à l'emplacement dans lequel vous voulez que cette construction locale s'installe.

This page was last modified on 18 October 2018, at 04:21. Content is available under Creative Commons License SA 4.0 unless otherwise noted.